Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.portable
Class ApplicationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.portable.ApplicationException

All Implemented Interfaces:
  java.io.Serializable

public class ApplicationException
extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`ApplicationException(java.lang.String id, InputStream is)`

Method Summary
`java.lang.String` | `getId()`
`InputStream` | `getInputStream()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationException

    public ApplicationException(java.lang.String id,
                                InputStream is)

Method Detail

### getId

    public java.lang.String getId()

### getInputStream

    public InputStream getInputStream()

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD